import javax.swing.*;
import java.util.*;
import java.awt.*;

class PanneauCredits extends JDialog{
	
	
	private JScrollPane scroll;
	
	private JList creditsJList=new JList();
	
	private Vector creditsVct=new Vector();
	
	Font police=new Font("Arial",Font.PLAIN,12);
	
	
	
	private ParcheminFond pfond=new ParcheminFond();
	
	public PanneauCredits(){
		
		Container c=getContentPane();
		c.setLayout(null);
		
		
		creditsJList.setFont(police);
		
		
		scroll = new JScrollPane(creditsJList);
		scroll.setBounds(10,10,300,300);
		c.add(scroll);
		
		miseAJour("Vincent 'Crypt' Primault ");
		miseAJour("e-mail : cryptmaster@free.fr");
	
		miseAJour(" ");
		miseAJour("Some of the graphics tiles are by David E.Gervais");
		miseAJour("and used with his express permission ");
	
		miseAJour(" ");
		miseAJour("Part of the graphic tiles used in this program");
		miseAJour("is the public domain roguelike tileset RLTiles");
		miseAJour("You can find the original tileset at:");
		miseAJour("http://rltiles.sf.net");
		
		
		miseAJour(" ");
		miseAJour("Part of the tree tiles used in this program");
		miseAJour("comes from the Reinerīs Tilesets");
		miseAJour("http://reinerstileset.4players.de/index.html");
		
		
		pfond.setBounds(0,0,330,370);
		add(pfond);
		
		setTitle("Credits");
		setLocation(5,5);
		setSize(330,370);
		show();
		
	}
	
	
	public void miseAJour(String r){
		
		creditsVct.add(r);
		
		creditsJList.setListData(creditsVct);
	}
		
		
}